{% extends 'mainBase.html' %}

{% block head %}
      <script>
        $( document ).ready(function(){
            $(".button-collapse").sideNav();
            $('select').material_select();
            $("#book_image").click(function(){
              $("#book_modal_image").attr("src", this.getAttribute("src"));
              $("#books").modal("open");
            });
            $("#book_lend").click(function(){
              $("#book_modal_lend").attr("src", this.getAttribute("src"));
              $("#lend").modal("open");
            });
            
            $('.tooltipped').tooltip({delay: 50});
            $('#new_discussion_form').hide();
            $('#complete_discussion').hide();

            $(function() {
              $('#open_new2').click(function() {
                $('#new_discussion_form').toggle();
                return false;
              });        
            });

            $(function() {
              $('#load_discussion').click(function() {
                $('#complete_discussion').toggle();
                return false;
              });        
            });

            $('.lit_button').click(function(){
              $(".lit_image").attr("src","icons/litt.png");
            });

            $(function() {
              $('#comment_click').click(function() {
                $('#comments_section').toggle();
                return false;
              });        
            });

           $('.add_tag').click(function(){
            $('#add_tag_section').toggle();
            return false;
          });

             /*slick slider*/
            $('.responsive').slick({
            dots: false,
            infinite: false,
            speed: 300,
            slidesToShow: 4,
            slidesToScroll: 1,
           
            responsive: [
              {
                breakpoint: 1024,
                settings: {
                  slidesToShow: 3,
                  slidesToScroll: 2,
                  infinite: false,
                  dots: true
                }
              },
              {
                breakpoint: 600,
                settings: {
                  slidesToShow: 2,
                  slidesToScroll: 1

                }
              },
              {
                breakpoint: 480,
                settings: {
                  slidesToShow: 2,
                  slidesToScroll: 1
                }
              }
              // You can unslick at a given breakpoint now by adding:
              // settings: "unslick"
              // instead of a settings object
            ]
          });

        });
        function showLendForm() {
    document.getElementById('lendForm').style.display = 'block';
}

      </script>
      <script type="text/javascript">
              $( document ).ready(function(){

        $('.subscribebook').click(function(){
var catid;
        catid = $(this).attr("data-catid");
         $.ajax({
          type:"GET",
          url: "/litwit/books/"+catid+"/subscribecart/",
          
          success: function( data ) {
            console.log(data['status'])
  Materialize.toast(data['status'], 4000) // 4000 is the duration of the toast

            
        }
      });       
     });
      });
      </script>
      
        
{% endblock %}
{% block body %}

<body>
  	{% include 'navbar.html' %}


  <main style="background-color: #eee;">
  <div id="book_page" class="container">
  <div style="margin-left:4%;">
     <div class="row">

    <!--IMAGE SECTON-->
      <div class="col s12 m3 l2 top_margin">
        <a href="#">
        <img src="http://abboniss.com/litwit/{{coverPhoto}}" class="responsive-img" id="book_image"> </a>
        <br>
        
      </div>

      <!-- Modal Structure -->
      <div id="books" class="modal">
        <div class="modal-content center">
            <img src="http://abboniss.com/litwit/{{coverPhoto}}" class="responsive-img" id="book_modal_image">
        </div>
        
      </div>
    <!--INFO SECTON-->
      <div class="col s12 m5 l6" style="margin-top: 20px;">
        
       
            <h5>{{book.title}}</h5>
            <h6>{{book.author}}<a>(search by author)</a></h6>
            <span>{{book.bookType}}</span>
            <br>
            <img src="/static/images/3star.PNG" class="responsive-img" style="height: 20px">
            <br>
            <span>{{book.rating}} out of 5.0</span>
            <br>
            <img src="images/" class="list_icons tooltipped" data-position="top" data-tooltip="Add to Wishlist">
            <img src="images/" class="list_icons tooltipped" data-position="top" data-tooltip="Add to Readlist">
          
      </div>  

    <!--RATE SECTION-->
      <div class="col s12 m4 l4 center top_margin" id="price_section">
       {% if not  book.inStock %}
        <a class="waves-effect waves-light btn buy z-depth-4" id="cart"  style="width: 160px;margin-bottom: 5px;margin-top:5px;" >Out of Stock</a>
              {% else %}

      <a class="waves-effect waves-light btn buy z-depth-4" id="cart" href="/litwit/book/{{ book.id }}/addToCart/" style="width: 160px;margin-bottom: 5px;margin-top:5px;" >Buy</a>
               {% endif %}

        <br>
        <a class="waves-effect waves-light btn rent z-depth-4" id="rentcart" href="/litwit/book/{{ book.id }}/addToRentalCart/" style="width: 160px;margin-bottom: 5px;margin-top:5px;">Rent</a>
        
        {% if isSubscribed %}
        <a class="waves-effect waves-light btn subscribe z-depth-4 subscribebook" data-catid="{{book.pk}}"  style="width: 160px;margin-bottom: 5px;margin-top:5px">Add to Subsciption</a>
        {% else %}
                <a class="waves-effect waves-light btn subscribe z-depth-4" href="/litwit/subscribe/?book={{book.pk}}" style="width: 160px;margin-bottom: 5px;margin-top:5px">Subscription Pack</a>

{% endif%}
      </div>
    </div>
    </div>
  <!--ABOUT THE SERIES-->  
    <div class="row" id="about_series">
      <div class="col s12">
        <h5 class="heads_series"><u>About the Book</u></h5>
        <p>
          {{book.description}}</p>
      </div>
    </div>

     
  <!--PRODUCT DETAILS-->
    <div class="row" id="about_series">
      <div class="col s12">
        <h5 class="heads_series"><u>Product Details</u></h5>
        
        <ul style="padding-left: 30px;">
          <li style="list-style-type: disc;">Reading Level: 8-12 years</li>
          <li style="list-style-type: disc;" >{{book.bookType}}:638 pages</li>
          <li style="list-style-type: disc;">Publisher:Bloomsbury Press(3 september 2014)</li>
          <li style="list-style-type: disc;">Language:English</li>
          <li style="list-style-type: disc;">ISBN-10:1408855682</li>
          <li style="list-style-type: disc;">ISBN-13:978-1408855683</li>
          <li style="list-style-type: disc;">Product Dimensions:19.7*4.1*13.1 cm</li>
        </ul>
      </div>
    </div>


  
      <div class="row review_discuss">
        
        <div class="col s12">
          <ul class="tabs swipeable">
                <li class="tab col s6 review_discuss_tab z-depth-4"><a class="active" href="#litwit_reviews">Litwitties Reviews</a></li>
                <li class="tab col s6 review_discuss_tab z-depth-4"><a  href="#book_discuss">Book Discussions</a></li>
                
            </ul>
        </div>

        <div id="litwit_reviews" class="col s12">  
         <!--First Review-->
         {% if reviews %}
                       {% for review, likes in reviews  %}

          <div class="row z-depth-4 top_margin white">

            <div class="col s12">
               <div class="row top_margin">
                  <div class="col s2 m1 l1">
                    <img src="http://abboniss.com/litwit/{{review.user_name.profilePic}}" class="responsive-img profile_photo_discuss right">
                  </div>
                  <div class="col s10 m11 l11">
                    <span class="discuss_username">{{ review.user_name }}</span>
                    &nbsp;&nbsp;&nbsp; 
                    <span><img src="/static/images/{{ review.rating }}star.PNG" class="rating"></span>      
                    <br>
                    <span class="discuss_time">{{review.pub_date}}</span>
                     &nbsp;&nbsp;&nbsp;
                    <span class="rating_text">({{ review.rating }} out of 5.0)</span>
                  </div>
                 
                </div>

                <div class="row review_content">
                  <div class="col s12">
                    <p>{{ review.comment }}</p>
                  </div>
                </div>
{% if review.lrating  %}
                <div class="row review_content">
                  <div class="col s12">
                    <span class="heading">
                      Language  
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <span><img src="/static/images/{{ review.lrating }}star.PNG" class="rating"></span>    
                    &nbsp;&nbsp;
                     <span class="rating_text">({{ review.lrating }} out of 5.0)</span>
                    <p>{{ review.language }}</p>
                  </div>
                </div>
        {% endif %}
 {% if review.wrating  %}

                 <div class="row review_content">
                  <div class="col s12">
                    <span class="heading">
                      Writing Style   
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <span><img src="images/{{ review.wrating }}star.PNG" class="rating"></span>    
                    &nbsp;&nbsp;
                     <span class="rating_text">({{ review.wrating }} out of 5.0)</span>
                    <p>{{ review.writing }}</p>
                  </div>
                </div>
        {% endif %}
 {% if review.crating  %}

                 <div class="row review_content">
                  <div class="col s12">
                    <span class="heading">
                      Cover  
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <span><img src="/static/images/{{ review.crating }}star.PNG" class="rating"></span>    
                    &nbsp;&nbsp;
                     <span class="rating_text">({{ review.crating }} out of 5.0)</span>
                    <p>{{ review.cover }}</p>
                  </div>
                </div>
        {% endif %}
 {% if review.prating  %}

                 <div class="row review_content">
                  <div class="col s12">
                    <span class="heading">
                      Plot  
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <span><img src="/static/images/{{ review.prating }}star.PNG" class="rating"></span>    
                    &nbsp;&nbsp;
                     <span class="rating_text">({{ review.prating }} out of 5.0)</span>
                    <p>{{ review.plot }}</p>
                  </div>
                </div>
                        {% endif %}

            </div>
            </div>

                {% endfor %}
{% else %}
<p>No reviews are available.</p>
{% endif %}

          

           <div class="row" id="new_discussion">
            <div class="col s12">
               <a class="waves-effect waves-light discuss_buttons_label right" id="open_new">+ Add a Review</a>
            </div>
          </div>
        </div>

        <div id="book_discuss" class="col s12">
      <!--SERIES DISCUSSION-->
       
        <div id="series_discussion"> 
          
          <!--FIRST DISUSSION-->
          {% for discussion, like, fComments in latest_discussion_list %}
          <div class="row z-depth-4 top_margin white">
            <div class="col s12">
              
                <div class="row top_margin">
                  <div class="col s2 m1 l1">
                    <img src="/static/images/profile_photo.png" class="responsive-img profile_photo_discuss right">
                  </div>
                  <div class="col s10 m11 l11">
                    <span class="discuss_username">{{discussion.user}}</span>
                    <br>
                    <span class="discuss_time">{{discussion.pub_date}}</span>
                    <br>
                    <span class="discuss_third">sadist</span>
                    <span class="discuss_third">sadist</span>
                  </div>
                </div>

                <div class="row">
                  <div class="col s12">
                    <span class="discuss_question">{{discussion.title}}</span>
                    <br>
                    <span class="discuss_content">
                       {{discussion.comment}} 
                    </span>
                  </div>
                </div>

                <div class="row">
                  <div class="col s12">
                    <a class="waves-effect waves-light discuss_buttons_label lit_button"><img src="icons/lit.png" class="discuss_buttons left lit_image">&nbsp;&nbsp;&nbsp;Lit</a>

                     <a class="waves-effect waves-light discuss_buttons_label" id="comment_click"><img src="icons/reply.png" class="discuss_buttons left" style="padding-top: 5px">&nbsp;&nbsp;&nbsp;Reply</a>

                      <a class="waves-effect waves-light discuss_buttons_label"><img src="icons/share2.png" class="discuss_buttons left" style="padding-top: 5px">&nbsp;&nbsp;&nbsp;Share</a>
                  </div>
                </div>
                 <div class="row" id="comments_section" style="display: none;">
                      
                      <div class="col l12">
                        
                        <div class="row" style="margin-top: 10px;margin-left: 10px">
                          <div class="col s2 m1 l1">
                            <img src="images/profile_photo.png" class="responsive-img comment_photo">
                          </div>
                          <div class="col s10 m11 l11" style=" border: 1px solid #eee;height: 45px;">
                            <div class="row" style="margin-right: 0px !important">
                              <div class="col s11">
                                <input type="text" id="user_comment" placeholder="Write your comment..">
                              </div>
                              <div class="col s1 right" style="margin-right: 0px !important;padding-right: 0px !important">
                                <img src="icons/post.png" class="responsive-img" style="width: 30px;padding-top: 5px;">
                              </div>
                            </div>
                                 

                          </div>
                        </div>

                       
                      </div>
                  
                    </div>

                <div class="row" style="background-color: #eeeeee;padding-top: 10px;padding-bottom: 10px">
                    <div class="col s2 m1 l1">
                      <img src="images/profile_photo.png" class="responsive-img profile_photo_discuss right">
                    </div>
                    <div class="col s10 m11 l11">
                      <span class="discuss_username">Username</span>
                      <br>
                      <span class="discuss_time">time and date</span>
                      <br>
                      <span>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
                      <br>
                      <a class="waves-effect waves-light discuss_buttons_label right" style="color: #000;font-size: 15px" id="load_discussion"><img src="icons/load.png" class="discuss_buttons left" style="padding-top: 5px">&nbsp;&nbsp;&nbsp;<span>Load Full Discussion</span></a>
                    </div>
                </div>
                <div id="complete_discussion">
                   <div class="row" style="background-color: #eeeeee;padding-top: 10px;padding-bottom: 10px">
                    <div class="col s2 m1 l1">
                      <img src="images/profile_photo.png" class="responsive-img profile_photo_discuss right">
                    </div>
                    <div class="col s10 m11 l11">
                      <span class="discuss_username">Username</span>
                      <br>
                      <span class="discuss_time">time and date</span>
                      <br>
                      <span>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
                     
                    </div>
                </div>
              </div>
            
            </div>
          </div>
{% endfor %}
          <!--DISCUSSION2-->
          <div class="row z-depth-4 top_margin white">
            <div class="col s12">
              
                <div class="row top_margin">
                  <div class="col s2 m1 l1">
                    <img src="images/profile_photo.png" class="responsive-img profile_photo_discuss right">
                  </div>
                  <div class="col s10 m11 l11">
                    <span class="discuss_username">Username</span>
                    <br>
                    <span class="discuss_time">time and date</span>
                    <br>
                    <span class="discuss_third">sadist</span>
                    <span class="discuss_third">sadist</span>
                  </div>
                </div>

                <div class="row">
                  <div class="col s12">
                    <span class="discuss_question">What if Ron killed Dumbledoor?</span>
                    <br>
                    <span class="discuss_content">
                       Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa  Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. 
                    </span>
                  </div>
                </div>

                <div class="row">
                  <div class="col s12">
                    <a class="waves-effect waves-light discuss_buttons_label lit_button"><img src="icons/lit.png" class="discuss_buttons left lit_image">&nbsp;&nbsp;&nbsp;Lit</a>

                     <a class="waves-effect waves-light discuss_buttons_label" id="comment_click"><img src="icons/reply.png" class="discuss_buttons left" style="padding-top: 5px">&nbsp;&nbsp;&nbsp;Reply</a>

                      <a class="waves-effect waves-light discuss_buttons_label"><img src="icons/share2.png" class="discuss_buttons left" style="padding-top: 5px">&nbsp;&nbsp;&nbsp;Share</a>
                  </div>
                </div>
                 <div class="row" id="comments_section" style="display: none;">
                      
                      <div class="col l12">
                        
                        <div class="row" style="margin-top: 10px;margin-left: 10px">
                          <div class="col s2 m1 l1">
                            <img src="images/profile_photo.png" class="responsive-img comment_photo">
                          </div>
                          <div class="col s10 m11 l11" style=" border: 1px solid #eee;height: 45px;">
                            <div class="row" style="margin-right: 0px !important">
                              <div class="col s11">
                                <input type="text" id="user_comment" placeholder="Write your comment..">
                              </div>
                              <div class="col s1 right" style="margin-right: 0px !important;padding-right: 0px !important">
                                <img src="icons/post.png" class="responsive-img" style="width: 30px;padding-top: 5px;">
                              </div>
                            </div>
                                 

                          </div>
                        </div>

                       
                      </div>
                  
                    </div>

                <div class="row" style="background-color: #eeeeee;padding-top: 10px;padding-bottom: 10px">
                    <div class="col s2 m1 l1">
                      <img src="images/profile_photo.png" class="responsive-img profile_photo_discuss right">
                    </div>
                    <div class="col s10 m11 l11">
                      <span class="discuss_username">Username</span>
                      <br>
                      <span class="discuss_time">time and date</span>
                      <br>
                      <span>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
                      <br>
                      <a class="waves-effect waves-light discuss_buttons_label right" style="color: #000;font-size: 15px" id="load_discussion"><img src="icons/load.png" class="discuss_buttons left" style="padding-top: 5px">&nbsp;&nbsp;&nbsp;<span>Load Full Discussion</span></a>
                    </div>
                </div>
                <div id="complete_discussion">
                   <div class="row" style="background-color: #eeeeee;padding-top: 10px;padding-bottom: 10px">
                    <div class="col s2 m1 l1">
                      <img src="images/profile_photo.png" class="responsive-img profile_photo_discuss right">
                    </div>
                    <div class="col s10 m11 l11">
                      <span class="discuss_username">Username</span>
                      <br>
                      <span class="discuss_time">time and date</span>
                      <br>
                      <span>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
                     
                    </div>
                </div>
              </div>
            
            </div>
          </div>

          <div class="row" id="new_discussion">
            <div class="col s12">
               <a class="waves-effect waves-light discuss_buttons_label right" id="open_new2"><img src="icons/add.png" class="discuss_buttons left">&nbsp;&nbsp;&nbsp;Start New Discussion</a>
            </div>
          </div>

          <div class="container"  id="new_discussion_form">
        <div class="row">
        <form class="col s12 m6 l8">
          <div class="row">
            <div class="input-field col s12 sign_up_form_input_field">
                <input id="topic" placeholder="Enter Topic Heading" type="text" class="validate sign_in">
                <label class="active form_headers" for="topic">Topic Heading<span class="compulsory">*</span></label>
            </div>
          </div>
          <div class="row">
            <div class="input-field col s12 sign_up_form_input_field">
                <input id="book_attached" placeholder="Enter Book Name" type="text" class="validate sign_in" list="book_names">
                <label class="active form_headers" for="book_attached">Attach Book<span class="compulsory">*</span></label>
                <datalist id="book_names">
                <option value="Harry Potter and the Chamber of Secets">
                <option value="1984">
                <option value="Twilight Saga">
                
              </datalist>
            </div>
          </div>
          <div class="row">
            <div class="input-field col s12 sign_up_form_input_field">
                <div class="chips  chips-autocomplete sign_in" style="border:1px solid #dddfe2"></div>
                <label class="active form_headers" for="tags">Add Tags<span class="compulsory">*</span></label>
            </div>
          </div>
          <br>
          <div class="row">
                <div class="input-field col s12 sign_up_form_input_field">
                <textarea id="gist" class="materialize-textarea sign_in" placeholder=""></textarea>
                            <label class="active form_headers" for="gist">Your Gist<span class="compulsory">*</span></label>
              </div>
            </div>
            <div class="row">
              <div class="col s12">
                <a class="waves-effect waves-light btn left" style="z-index: 0 !important">START DISCUSSION</a>
              </div>
            </div>
        </form>
        <script>
          var datalist = jQuery('datalist');
          var options = jQuery('datalist option');
          var optionsarray = jQuery.map(options ,function(option) {
              return option.value;
          });
          var input = jQuery('input[list]');
          var inputcommas = (input.val().match(/,/g)||[]).length;
          var separator = ',';
              
          function filldatalist(prefix) {
            if (input.val().indexOf(separator) > -1 && options.length > 0) {
              datalist.empty();
              for (i=0; i < optionsarray.length; i++ ) {
                if (prefix.indexOf(optionsarray[i]) < 0 ) {
                  datalist.append('<option value="'+prefix+optionsarray[i]+'">');
                }
              }
            }
          }
          input.bind("change paste keyup",function() {
            var inputtrim = input.val().replace(/^\s+|\s+$/g, "");
            var currentcommas = (input.val().match(/,/g)||[]).length;
            if (inputtrim != input.val()) {
              if (inputcommas != currentcommas) {
                var lsIndex = inputtrim.lastIndexOf(separator);
                var str = (lsIndex != -1) ? inputtrim.substr(0, lsIndex)+", " : "";
                filldatalist(str);
                inputcommas = currentcommas;
              }
              input.val(inputtrim);
            }
          });
        </script>
        {% if inCart %}
                <script type="text/javascript" charset="utf-8">
document.getElementById("cart").innerHTML="In cart"
                </script>
                {% endif %}
{% if inrent %}
                <script type="text/javascript" charset="utf-8">
document.getElementById("rentcart").innerHTML="In Rental Cart"
                </script>
                {% endif %}
 {% if addedToCart %}
                <script type="text/javascript" charset="utf-8">
  Materialize.toast('Added to Cart', 4000) // 4000 is the duration of the toast
                </script>
                {% endif %}
       
        {% if addedTorent %}
                <script type="text/javascript" charset="utf-8">
  Materialize.toast('Added to Cart', 4000) // 4000 is the duration of the toast
                </script>
                {% endif %}
        <div class="col s12 m6 l4" style="padding-top: 10px">
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>

          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
          <button class="tag_name">
            <div class="chip">
                <span>Tag1</span>
            </div>
          </button>
        </div>
      </div>
      </div>
          
          <div class="row">
            <div class="col s12 center">
              <ul class="pagination">
                <li class="disabled"><a href="#!"><i class="material-icons">chevron_left</i></a></li>
                <li class="active"><a href="#!">1</a></li>
                <li class="waves-effect"><a href="#!">2</a></li>
                <li class="waves-effect"><a href="#!">3</a></li>
                <li class="waves-effect"><a href="#!">4</a></li>
                <li class="waves-effect"><a href="#!">5</a></li>
                <li class="waves-effect"><a href="#!"><i class="material-icons">chevron_right</i></a></li>
              </ul>
            </div>
          </div>
       </div>
       </div>  
      </div>
      </div>
  </main>
</body>
{% endblock %}

